package com.ycwl.basic.model.mobile.statistic.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author：longbinbin
 * @Date：2024/12/12 18:31
 */
@Data
@ApiModel("移动端用户操作统计记录添加类")
public class StatisticsRecordAddReq {
    @ApiModelProperty(value = "主键id",hidden = true)
    private Long id;
    @ApiModelProperty("统计数据类型，0扫码访问，1上传人脸，2预览视频，3现场支付，4事后支付，5退款，6消息推送，8下载，9点击购买")
    private Integer type;
    @ApiModelProperty(value = "景区id")
    private Long scenicId;
    @ApiModelProperty(value = "触发用户id",hidden = true)
    private Long memberId;
    @ApiModelProperty("关联数据ID 例如：预览视频就是视频id")
    private Long morphId;
}
