package com.ycwl.basic.model.wx;

import lombok.Data;

/**
 * 微信获取token对象
 * @author: chenxi
 * @date: 2021/8/5 20:50
 */
@Data
public class WechatAccessTokenVO extends WechatBaseVO{

    /**
     * 微信access_token，由于微信接口返回数据，此处无法保证驼峰命名
     */
    private String access_token;

    /**
     * 过期时间，单位秒
     */
    private Integer expires_in;


}
